package com.zhgd.xmgl.modules.basicdata.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhgd.xmgl.modules.basicdata.dto.NoticeDto;
import com.zhgd.xmgl.modules.basicdata.entity.Notice;
import com.zhgd.xmgl.modules.basicdata.vo.NoticeVo;

import java.util.Map;

/**
 * @Description: 通知公告表
 * @author： pengj
 * @date：   2023-03-02
 * @version： V1.0
 */
public interface INoticeService extends IService<Notice> {

    Page<Notice> toMePageList(Map<String, Object> map);

    NoticeDto getDetail(Notice notice);

    boolean saveInfo(NoticeVo noticeVo);

    boolean updateInfo(NoticeVo noticeVo);

    boolean delInfo(Notice notice);

    boolean read(Notice notice);
}
